跳转到主要内容
GET
/
characters
/api/v1/characters
curl --request GET \
  --url https://api.venice.ai/api/v1/characters \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.venice.ai/api/v1/characters"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.venice.ai/api/v1/characters', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "adult": false,
      "author": "k3x9q",
      "createdAt": "2024-12-20T21:28:08.934Z",
      "description": "Alan Watts (6 January 1915 – 16 November 1973) was a British and American writer, speaker, and self-styled \"philosophical entertainer\", known for interpreting and popularizing Buddhist, Taoist, and Hindu philosophy for a Western audience.",
      "featured": false,
      "id": "2f460055-7595-4640-9cb6-c442c4c869b0",
      "name": "Alan Watts",
      "shareUrl": "https://venice.ai/c/alan-watts",
      "photoUrl": "https://outerface.venice.ai/api/characters/2f460055-7595-4640-9cb6-c442c4c869b0/photo",
      "slug": "alan-watts",
      "stats": {
        "averageRating": 4.7,
        "imports": 112,
        "ratingCount": 24,
        "ratingSum": 113,
        "userRating": 123
      },
      "tags": [
        "AlanWatts",
        "Philosophy",
        "Buddhism",
        "Taoist",
        "Hindu"
      ],
      "updatedAt": "2025-02-09T03:23:53.708Z",
      "webEnabled": true,
      "modelId": "venice-uncensored-1-2"
    }
  ],
  "object": "list"
}
{
  "error": "<string>"
}
{
  "error": "<string>"
}

实验性端点

这是一个实验性端点,可能会发生变化。

Postman 集合

如需更多示例,请参阅此 Postman 集合

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

查询参数

categories
string[]

Filter by category names. Repeat the parameter for multiple values. Comma-separated values are also accepted.

Maximum array length: 20
Maximum string length: 100
示例:
["roleplay", "philosophy"]
isAdult
enum<string>

Filter by adult content flag

可用选项:
true,
false
示例:

"false"

isPro
enum<string>

Filter to only show characters using pro models

可用选项:
true,
false
示例:

"false"

isWebEnabled
enum<string>

Filter to only show web-enabled characters

可用选项:
true,
false
示例:

"true"

limit
integer
默认值:50

Number of characters to return (max: 100)

必填范围: 0 < x <= 100
示例:

50

modelId
string[]

Filter by model ID(s). Repeat the parameter for multiple values. Comma-separated values are also accepted.

Maximum array length: 20
Maximum string length: 200
示例:
["zai-org-glm-5-1", "kimi-k2-6"]
offset
integer | null
默认值:0

Number of characters to skip for pagination

必填范围: x >= 0
示例:

0

Search characters by name, description, or tags. Hashtag search is supported.

Maximum string length: 200
示例:

"assistant"

sortBy
enum<string>

Sort results using a supported character discovery mode

可用选项:
featured,
highestRating,
highlyRated,
highlyRatedAndRecent,
imports,
mostRecent,
ratingCount
示例:

"imports"

sortOrder
enum<string>

Sort order applied to the selected sort mode. Defaults to descending when omitted.

可用选项:
asc,
desc
示例:

"desc"

tags
string[]

Filter by tag names. Repeat the parameter for multiple values. Comma-separated values are also accepted.

Maximum array length: 20
Maximum string length: 100
示例:
["helpful", "productivity"]

响应

OK

data
object[]
必填
object
enum<string>
必填
可用选项:
list